#ifndef PLAYER_H
#define PLAYER_H
#include<iostream>
#include <string>
#include <sstream>
#include <fstream>
#include <limits>

using namespace std;
const int playerSize = 563; //    2/20/2023

enum posvalue
{
	PITCHER = 0, CATCHER = 1, INFIELD = 2, OUTFIELD = 3
};

class Player
{
	string firstName, lastName, pos;
	posvalue enumpos;
	double WAR;
	bool drafted;
public:
	void getPlayer(string line);
	void displayPlayer();
	bool isHeDrafted();
	void draftPlayer();
	string getPosition();
	double getWAR();
	void releasePlayer();
	int getEnumPos();
	void changeWAR(double n);
};

void Player::getPlayer(string line)
{
	istringstream stream(line);
	stream >> firstName >> lastName >> WAR >> pos;
	if (pos == "P")
		enumpos = PITCHER;
	else if (pos == "C")
		enumpos = CATCHER;
	else if (pos == "INF")
		enumpos = INFIELD;
	else if (pos == "OF")
		enumpos = OUTFIELD;
	drafted = false;
}

void Player::displayPlayer()
{
	cout << firstName << " " << lastName << "\n";
	//cout << "WAR : " << WAR << "\n";
	//cout << "Pos : " << pos << "\n";
	/*cout << "Drafted?  ";
	if (drafted)
		cout << "YES" << endl;
	else
		cout << "NO" << endl;
	cout << endl;*/
	//cout << enumpos << endl;
}

bool Player::isHeDrafted()
{
	if (drafted == true)
		return true;
	else
		return false;
}

void Player::draftPlayer()
{
	drafted = true;
}

string Player::getPosition()
{
	return pos;
}

double Player::getWAR()
{
	return WAR;
}

void Player::releasePlayer()
{
	if (drafted == true)
		drafted = false;
}

int Player::getEnumPos()
{
	return enumpos;
}

void Player::changeWAR(double newwar)
{
	WAR = newwar;

	return;
}
#endif