#ifndef TEAM_h
#define TEAM_h
#include <string>
using namespace std;

#include "BaseballPlayer.h"

const int TEAM_SIZE = 17;
class Team
{
private:
	string teamName;
	double teamWAR;
	Player theTeam[TEAM_SIZE];

public:
	Team(int n) 
	{
		// Constructor code here
	}
	Team(string n = "mlb")
	{
		teamName = n;
		teamWAR = 0;
	}
	void InitTheTeam(string n, Player p[], double score) {
		teamName = n;
		teamWAR = score;
		for (int i = 0; i < TEAM_SIZE; i++)
		{
			theTeam[i] = p[i];
			//theTeam[i].displayPlayer();
		}
		//cout << endl << endl << endl;
	}
	double getTeamWAR()                         //function that is called
	{											
		double sum = 0;							//keep a running total named sum
		for (int i = 0; i < TEAM_SIZE; i++)		//loop to check each player on team
			sum += theTeam[i].getWAR();			//add each player's WAR value to sum
		teamWAR = sum;							//set the teamWAR variable to the sum
		return teamWAR;							//return the variable
	}
	Player getPlayer(unsigned int i) const
	{
		if (i >= TEAM_SIZE)
			cout << "Player index invalid" << endl;
		else
			return theTeam[i];  // check for valid i
	}
	void setPlayer(unsigned int i, const Player & bbp)
	{
		if (i >= TEAM_SIZE)
			cout << "Player index invalid" << endl;
		else
			theTeam[i] = bbp;  // check for valid i ... probably same position	
	}
	void releaseAll(Player arr[])
	{
		for (int i = 0; i < playerSize; i++)
		{
			arr[i].releasePlayer();
		}
	}
	//Player getTeam
};
#endif 
